ParameterContainer (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria
Interface ParameterContainer

All Known Implementing Classes:
  AbsFunction, AbstractFromImpl, AbstractJoinImpl, AbstractPathImpl, AbstractPredicateImpl, AbstractSimplePredicate, AggregationFunction, AggregationFunction.AVG, AggregationFunction.COUNT, AggregationFunction.GREATEST, AggregationFunction.LEAST, AggregationFunction.MAX, AggregationFunction.MIN, AggregationFunction.SUM, BasicFunctionExpression, BetweenPredicate, BinaryArithmeticOperation, BooleanAssertionPredicate, BooleanExpressionPredicate, BooleanStaticAssertionPredicate, CastFunction, CoalesceExpression, CollectionAttributeJoin, ComparisonPredicate, CompoundPredicate, CompoundSelectionImpl, ConcatExpression, CriteriaSubqueryImpl, CurrentDateFunction, CurrentTimeFunction, CurrentTimestampFunction, EntityTypeExpression, ExistsPredicate, ExplicitTruthValueCheck, ExpressionImpl, InPredicate, IsEmptyPredicate, LengthFunction, LikePredicate, ListAttributeJoin, ListIndexExpression, LiteralExpression, LocateFunction, LowerFunction, MapAttributeJoin, MapEntryExpression, MapKeyHelpers.MapKeyPath, MapKeyHelpers.MapKeySource, MemberOfPredicate, NullifExpression, NullLiteralExpression, NullnessPredicate, ParameterExpressionImpl, ParameterizedFunctionExpression, PathTypeExpression, PluralAttributeJoinSupport, PluralAttributePath, RootImpl, SearchedCaseExpression, SelectionImpl, SetAttributeJoin, SimpleCaseExpression, SingularAttributeJoin, SingularAttributePath, SizeOfCollectionExpression, SqrtFunction, SubqueryComparisonModifierExpression, SubstringFunction, TrimFunction, UnaryArithmeticOperation, UpperFunction

    public interface ParameterContainer

Contract for query components capable of eirther being a parameter or containing parameters.

Nested Class Summary
`static class` | `ParameterContainer.Helper` Helper to deal with potential parameter container nodes.

Method Summary
`void` | `registerParameters(ParameterRegistry registry)` Register any parameters contained within this query component with the given registry.

Method Detail

### registerParameters

    void registerParameters(ParameterRegistry registry)

  Register any parameters contained within this query component with the given registry.

  Parameters:
    `registry` - The parameter registry with which to register.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.